Package org.silverpeas.components.infoletter.model

# Class InfoLetterPath

java.lang.Object
java.util.AbstractCollection<InfoLetterPublicationPdC>
java.util.AbstractList<InfoLetterPublicationPdC>
java.util.ArrayList<InfoLetterPublicationPdC>
org.silverpeas.core.util.ContributionPath<InfoLetterPublicationPdC>
org.silverpeas.components.infoletter.model.InfoLetterPath

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<InfoLetterPublicationPdC>`, `Collection<InfoLetterPublicationPdC>`, `List<InfoLetterPublicationPdC>`, `RandomAccess`, `SequencedCollection<InfoLetterPublicationPdC>`, `org.silverpeas.core.util.ResourcePath<InfoLetterPublicationPdC>`

public class InfoLetterPath extends org.silverpeas.core.util.ContributionPath<InfoLetterPublicationPdC>
The path of a given `InfoLetterPublicationPdC` in an application.

Author:
  silveryocha
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.silverpeas.core.util.ResourcePath

  `org.silverpeas.core.util.ResourcePath.Constants`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.util.ContributionPath

  `lastPathByLanguage`

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `InfoLetterPublicationPdC`
  `getInfoLetter()`
  Gets the contribution aimed by the path.
  `protected String`
  `getLabel(InfoLetterPublicationPdC infoLetter, String language)`
  `static InfoLetterPath`
  `getPath(InfoLetterPublicationPdC infoLetter)`
  Gets an info letter path without taking care about right accesses.
  `int`
  `hashCode()`
  `protected boolean`
  `isRoot(InfoLetterPublicationPdC node)`

  ### Methods inherited from class org.silverpeas.core.util.ContributionPath

  `format, rootIsComponentInstance`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, forEach, get, getFirst, getLast, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `add, add, addAll, addAll, addFirst, addLast, clear, contains, containsAll, get, getFirst, getLast, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, set, size, sort, spliterator, subList, toArray, toArray`

  ### Methods inherited from interface org.silverpeas.core.util.ResourcePath

  `format, format`

- ## Method Details

  - ### getPath

    public static InfoLetterPath getPath(InfoLetterPublicationPdC infoLetter)
    Gets an info letter path without taking care about right accesses.
    Parameters:
      `infoLetter` - an info letter contribution instance.
    Returns:
      an initialized `InfoLetterPath`.

  - ### getInfoLetter

    public InfoLetterPublicationPdC getInfoLetter()
    Gets the contribution aimed by the path.
    Returns:
      a `InfoLetterPublicationPdC` instance.

  - ### isRoot

    protected boolean isRoot(InfoLetterPublicationPdC node)
    Specified by:
      `isRoot` in class `org.silverpeas.core.util.ContributionPath<InfoLetterPublicationPdC>`

  - ### getLabel

    protected String getLabel(InfoLetterPublicationPdC infoLetter, String language)
    Specified by:
      `getLabel` in class `org.silverpeas.core.util.ContributionPath<InfoLetterPublicationPdC>`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in interface `Collection<InfoLetterPublicationPdC>`
    Specified by:
      `equals` in interface `List<InfoLetterPublicationPdC>`
    Overrides:
      `equals` in class `org.silverpeas.core.util.ContributionPath<InfoLetterPublicationPdC>`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Collection<InfoLetterPublicationPdC>`
    Specified by:
      `hashCode` in interface `List<InfoLetterPublicationPdC>`
    Overrides:
      `hashCode` in class `org.silverpeas.core.util.ContributionPath<InfoLetterPublicationPdC>`